Last Comment Bug 700031 - "ASSERTION: Can only call this on frames that have been reflowed" with too-deep frame tree
: "ASSERTION: Can only call this on frames that have been reflowed" with too-de...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Mats Palmgren (vacation)
:
Mentors:
Depends on:
Blocks: 343943
  Show dependency treegraph
 
Reported: 2011-11-05 06:45 PDT by Jesse Ruderman
Modified: 2011-12-30 05:04 PST (History)
6 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (2.27 KB, application/xhtml+xml)
2011-11-05 06:45 PDT, Jesse Ruderman
no flags Details
stack trace (70.27 KB, text/plain)
2011-11-05 06:46 PDT, Jesse Ruderman
no flags Details
fix (1.49 KB, patch)
2011-12-28 06:58 PST, Mats Palmgren (vacation)
roc: review+
Details | Diff | Splinter Review
Regression test (3.04 KB, patch)
2011-12-28 06:59 PST, Mats Palmgren (vacation)
no flags Details | Diff | Splinter Review

Description Jesse Ruderman 2011-11-05 06:45:22 PDT
Created attachment 572198 [details]
testcase

WARNING: frame tree too deep; setting zero size and returning: file /builds/slave/m-cen-osx64-dbg/build/layout/generic/nsFrame.cpp, line 4941

###!!! ASSERTION: Can only call this on frames that have been reflowed: '!(GetStateBits() & NS_FRAME_FIRST_REFLOW)', file layout/generic/nsTextFrameThebes.cpp, line 2317
Comment 1 Jesse Ruderman 2011-11-05 06:46:33 PDT
Created attachment 572199 [details]
stack trace
Comment 2 Mats Palmgren (vacation) 2011-12-28 06:52:09 PST
http://hg.mozilla.org/mozilla-central/annotate/d144d8a5af9e/layout/mathml/nsMathMLContainerFrame.cpp#l901
'aChildFrame' has NS_FRAME_TOO_DEEP_IN_FRAME_TREE so any child frames are not
reflowed.  The assertion occurs when calling ComputeTightBounds on line 920.
Comment 3 Mats Palmgren (vacation) 2011-12-28 06:58:06 PST
Created attachment 584565 [details] [diff] [review]
fix
Comment 4 Mats Palmgren (vacation) 2011-12-28 06:59:13 PST
Created attachment 584566 [details] [diff] [review]
Regression test

Try run pending:
https://tbpl.mozilla.org/?tree=Try&rev=156d26ae94f1

Note You need to log in before you can comment on or make changes to this bug.